<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.GiftPackDetailAjax" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:39.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	document.Append("<ul class=\"boxMain productClass\" >\r\n");
	if(selectProuct.Length>0)
{
	for(int k=0;k<selectProuct.Length;k++)
{
	string[] tempArray=selectProuct[k].Split(',');
	document.Append("    <div class=\"productPhoto\"><a href=\"/ProductDetail-I"+tempArray[2]+".aspx\"><img src=\""+tempArray[3].Replace("Original","340-340")+"\" onload=\"photoLoad(this,180,180)\"/></a></div>\r\n");
	document.Append("    <div class=\"productName\">"+tempArray[4]+"</div>\r\n");
	document.Append("    <div class=\"deleteButton\"><input type=\"button\" class=\"button\" value=\" 删 除 \" onclick=\"deleteGiftPack("+tempArray[0]+","+tempArray[2]+")\" /></div>\r\n");
	}
	document.Append("    <div class=\"cartButton\"><input type=\"button\" class=\"bigbutton\" value=\"放入购物车\" onclick=\"addToCart("+giftPackID+")\" /></div>\r\n");
	}
else
{
	document.Append("    <div class=\"giftPackTips\">请选择右边礼品包中的产品</div>\r\n");
	 }
	document.Append("</ul>\r\n");
	Response.Write(document.ToString());
}
</script>